Pages

Thursday, July 23, 2015

PRVF-7532 : Package "libaio-0.3.105 (i386)" is missing - Oracle installation requires old rpm versions, what to do?

Below packages can usually be ignored as oracle installer thinks they are not available and are still needed while they already exists.



[root@rac2 Desktop]# yum install libaio-0.3.105-2.i386.rpm

Loaded plugins: refresh-packagekit, security

Setting up Install Process

No package libaio-0.3.105-2.i386.rpm available.

Error: Nothing to do

[root@rac2 Desktop]# rpm -ivh compat-libstdc++*

error: File not found by glob: compat-libstdc++*

[root@rac2 Desktop]# ps -ef |grep compat-libstdc++*

root     11837  7817  0 19:27 pts/0    00:00:00 grep compat-libstdc++*

[root@rac2 Desktop]# rpm -qa|grep compat-libstdc++*

compat-libstdc++-296-2.96-144.el6.i686

compat-libstdc++-33-3.2.3-69.el6.x86_64


Reference :

You can also see below notes from this link:

Installing Oracle Software

Install Oracle software without clicking through Oracle Universal Installer (OUI). Use instead smart swInst action of install Manager which installs Oracle SW with OUI silently. Add your own response files if you prefer another ORACLE_HOME destination.
$ bash
$ cd $INSTALL_CONF
$ cp sample/swInstEeSrv1-linux-x86_64.cfg .
$ installManager swInst swInstEeSrv1-linux-x86_64.cfg
$ su -
# /opt/oracle/eesrv/11.2.0/db1/root.sh
# exit
Oracle Universal Installer prints beginning with 11g R2 also warnings for optional requirements. Identify the errors and decide whether they can be ignored or not. The next example shows errors which can usually be ignored since OUI does not recognize newer packages.
20101205_185530: Info: Grepping for PRVF- pattern in /opt/oracle/oraInventory/logs/installActions2010-12-05_06-40-15PM.log
INFO: Error Message:PRVF-7532 : Package "libaio-0.3.105 (i386)" is missing on node "<node_name>"
INFO: Error Message:PRVF-7532 : Package "compat-libstdc++-33-3.2.3 (i386)" is missing on node "<node_name>"
INFO: Error Message:PRVF-7532 : Package "libaio-devel-0.3.105 (i386)" is missing on node "<node_name>"
INFO: Error Message:PRVF-7532 : Package "libgcc-3.4.6 (i386)" is missing on node "<node_name>"
INFO: Error Message:PRVF-7532 : Package "libstdc++-3.4.6 (i386)" is missing on node "<node_name>"
INFO: Error Message:PRVF-7532 : Package "unixODBC-2.2.11 (i386)" is missing on node "<node_name>"
INFO: Error Message:PRVF-7532 : Package "unixODBC-devel-2.2.11 (i386)" is missing on node "<node_name>"
INFO: Error Message:PRVF-7532 : Package "pdksh-5.2.14" is missing on node "<node_name>"

No comments :

Post a Comment